# Uses of Class
jdk.jfr.consumer.RecordedThreadGroup

Packages that use RecordedThreadGroup
Package
Description
jdk.jfr.consumer
This package contains classes for consuming Flight Recorder data.

## Uses of RecordedThreadGroup in jdk.jfr.consumer

Methods in jdk.jfr.consumer that return RecordedThreadGroup
Modifier and Type
Method
Description
`RecordedThreadGroup`
RecordedThreadGroup.`getParent()`
Returns the parent thread group, or `null` if it doesn't exist.
`RecordedThreadGroup`
RecordedThread.`getThreadGroup()`
Returns the Java thread group, if available.